---
title: sqlite_orm::row_extractor< llarp::RouterID >

---

# sqlite_orm::row_extractor< llarp::RouterID >





## Public Functions

|                | Name           |
| -------------- | -------------- |
| [llarp::RouterID](Classes/structllarp_1_1RouterID.md) | **[extract](Classes/structsqlite__orm_1_1row__extractor_3_01llarp_1_1RouterID_01_4.md#function-extract)**(const char * row_value) |
| [llarp::RouterID](Classes/structllarp_1_1RouterID.md) | **[extract](Classes/structsqlite__orm_1_1row__extractor_3_01llarp_1_1RouterID_01_4.md#function-extract)**(sqlite3_stmt * stmt, int columnIndex) |

## Public Functions Documentation

### function extract

```cpp
inline llarp::RouterID extract(
    const char * row_value
)
```


### function extract

```cpp
inline llarp::RouterID extract(
    sqlite3_stmt * stmt,
    int columnIndex
)
```


-------------------------------

Updated on 2023-01-24 at 18:23:42 +0000